Name:           csync
Version:        0.43.0
Release:        2%{?dist}
Summary:        Utility to synchronize files between directories or systems

Group:          Applications/System
License:        GPLv2+
URL:            http://www.csync.org/
Source0:        http://www.csync.org/files/csync-0.43.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  iniparser-devel log4c-devel libsmbclient-devel sqlite-devel cmake

%description
csync is a lightweight utility to synchronize files between two directories,
potentially on different computers.

It synchronizes bidirectionally and allows the user to keep two copies of 
files and directories in sync. csync uses widely adopted protocols, such 
as smb or sftp, so that there is no need for a server.

%package libs
Summary:        Runtime libraries for %{name}
Group:          System Environment/Libraries

%description libs
This package contains the synchronization functionality from %{name}.
Other utilities wanting to re-use these functions will use these 
libraries.

%package devel
Summary:        Header files, libraries and development documentation for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
# remove userguide because it appears in csync, not csync-%{version}
rm -rf %{buildroot}/%{_docdir}/csync

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README doc/csync.txt doc/userguide/*
%config(noreplace) %{_sysconfdir}/csync/csync.conf
%config(noreplace) %{_sysconfdir}/csync/csync_log.conf
%config(noreplace) %{_sysconfdir}/csync/csync_exclude.conf
%{_sysconfdir}/csync
%{_bindir}/csync
%{_mandir}/man1/csync.1.gz

%files libs
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libcsync.so.0
%{_libdir}/libcsync.so.0.1.1
%{_libdir}/csync-0/csync_smb.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/csync/
%{_libdir}/libcsync.so

%changelog
* Mon Jun 15 2009 Alex Hudson <fedora@alexhudson.com> - 0.43.0-2
- get the dependencies the right way around
- own the correct directories

* Thu May 28 2009 Alex Hudson <fedora@alexhudson.com> - 0.43.0-1
- Initial packaging attempt
